Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTogglePanelItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanelItem

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface

Direct Known Subclasses:
  AbstractAccordionItem, UITogglePanelItem

    public abstract class AbstractTogglePanelItem

extends javax.faces.component.UIOutput
implements AbstractTogglePanelItemInterface

Version:
  1.0
Author:
  akolonitsky

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`protected static java.lang.String` | `NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`protected` | `AbstractTogglePanelItem()`

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getName()`
`AbstractTogglePanel` | `getParentPanel()`
`org.richfaces.component.SwitchType` | `getSwitchType()`
`boolean` | `isActive()`
`void` | `setName(java.lang.String name)`
`void` | `setSwitchType(org.richfaces.component.SwitchType switchType)`
`boolean` | `shouldProcess()`
`java.lang.String` | `toString()`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface
`getOnenter, getOnleave`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### NAME

    protected static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### AbstractTogglePanelItem

    protected AbstractTogglePanelItem()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getParentPanel

    public AbstractTogglePanel getParentPanel()

  Specified by:
    `getParentPanel` in interface `AbstractTogglePanelItemInterface`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `AbstractTogglePanelItemInterface`

### shouldProcess

    public boolean shouldProcess()

  Specified by:
    `shouldProcess` in interface `AbstractTogglePanelItemInterface`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `AbstractTogglePanelItemInterface`

### setName

    public void setName(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSwitchType

    public org.richfaces.component.SwitchType getSwitchType()

  Specified by:
    `getSwitchType` in interface `AbstractTogglePanelItemInterface`

### setSwitchType

    public void setSwitchType(org.richfaces.component.SwitchType switchType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.